cherry-pick change default logging to stdout and info level
Change-Id: I0ca1f1d200b863eea042f0e75a87b10a2c9136a7
Signed-off-by: tierno <alfonso.tiernosepulveda@telefonica.com>
diff --git a/docker/scripts/start.sh b/docker/scripts/start.sh
index 1506e3a..f237235 100755
--- a/docker/scripts/start.sh
+++ b/docker/scripts/start.sh
@@ -125,4 +125,10 @@
echo "4/4 Try to start"
-/usr/bin/openmanod -c /etc/osm/openmanod.cfg --log-file=/var/log/osm/openmano.log --create-tenant=osm
+# look for openmanod.cfg
+RO_CONFIG_FILE="/etc/osm/openmanod.cfg"
+[ -f "$RO_CONFIG_FILE" ] || RO_CONFIG_FILE=$(python -c 'import osm_ro; print(osm_ro.__path__[0])')/openmanod.cfg
+[ -f "$RO_CONFIG_FILE" ] || ! echo "configuration file 'openmanod.cfg' not found" || exit 1
+
+openmanod -c "$RO_CONFIG_FILE" --create-tenant=osm # --log-file=/var/log/osm/openmano.log
+